
#ifndef SYSTEM_H
#define SYSTEM_H

#ifdef AMIGA
char *my_getenv(char *);
#else
#define my_getenv getenv
#endif

#ifdef UNIX
#if !defined(HAVE_UNISTD_H) && !defined(MACH) && !defined(_BSD)
 #define HAVE_UNISTD_H
#endif

# ifdef HAVE_UNISTD_H
#include <unistd.h>
#else
#include <stdio.h>
#include <sys/types.h>
#endif


int getch();
int kbhit();

/* replacement function for obsolete clock(), just provides random data */
long Clock();

#endif /* UNIX */

#ifdef QDOS
#include <unistd.h>
#include <fcntl.h>
#endif

#if defined(UNIX) || defined(AMIGA) || defined(VMS)
#define NEEDBREAK
void ttycbreak(void);
void ttynorm(void);
int getch(void);
int kbhit(void);
#endif

#if !defined(MSDOS) && !defined(ATARI) && !defined(QDOS)
char *strlwr(char *);
#endif


#endif /* SYSTEM_H */






